import { JIBESTREAM_STYLE, MAP_CREDENTIALS, MAP_OPTIONS } from './JibestreamTypes';
export declare const createFragment: (viewId: number | null) => void;
export declare const centerMap: (viewId: number | null, rotation: number, zoom: number, animationDuration: number) => void;
export declare function getRandomInt(max: number): number;
export declare const setMapVenue: ({ viewId, credentials, mapOptions, }: {
    viewId: number | null;
    credentials: MAP_CREDENTIALS;
    mapOptions?: MAP_OPTIONS | undefined;
}) => void;
export declare const setMapOptions: ({ viewId, options, }: {
    viewId: number | null;
    options: MAP_OPTIONS;
}) => void;
export declare const centerMapOnPoint: (viewId: number | null, point: number[]) => void;
export declare const setFollowBlueDot: (viewId: number | null, enabled: boolean, rotate?: boolean, interval?: number) => void;
export declare const setUserPosition: (viewId: number | null, x: number, y: number, heading: number, confidence: number, format: string | null) => void;
export declare const clearWayfindingPath: (viewId: number | null) => void;
export declare const wayfindToWaypoint: (viewId: number | null, waypointId: number) => void;
export declare const wayfindBetweenWaypoints: (viewId: number | null, originId: number, destinationId: number) => void;
export declare const drawNavigationPath: (viewId: number | null, pathId: string, shouldFocus?: boolean, style?: JIBESTREAM_STYLE) => void;
export declare const styleUnitsForDestination: (viewId: number | null, destination: number, style?: JIBESTREAM_STYLE) => void;
export declare const styleShape: (viewId: number | null, id: number, style: JIBESTREAM_STYLE) => void;
//# sourceMappingURL=SendCommand.d.ts.map